summaryrefslogtreecommitdiffstats
path: root/system/runit/runit.SlackBuild
diff options
context:
space:
mode:
author David Miller2010-05-13 00:41:41 +0200
committer David Somero2010-05-13 00:41:41 +0200
commitb02fe0b64e313b70323f64f2e9f94b90958038be (patch)
tree88d266a43501ec3aca514a035aa3356cac7f75a1 /system/runit/runit.SlackBuild
parent8a863093e3dd13e9c3794ee24f89b3233f09bb1c (diff)
downloadslackbuilds-b02fe0b64e313b70323f64f2e9f94b90958038be.tar.gz
system/runit: Updated for version 2.1.1
Diffstat (limited to 'system/runit/runit.SlackBuild')
-rw-r--r--system/runit/runit.SlackBuild38
1 files changed, 11 insertions, 27 deletions
diff --git a/system/runit/runit.SlackBuild b/system/runit/runit.SlackBuild
index 225fd48ea7..66c289b92d 100644
--- a/system/runit/runit.SlackBuild
+++ b/system/runit/runit.SlackBuild
@@ -4,7 +4,7 @@
# written by David Miller dave at frop dot net
PRGNAM=runit
-VERSION=${VERSION:-2.0.0}
+VERSION=${VERSION:-2.1.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -39,49 +39,33 @@ echo gcc $SLKCFLAGS -Wall > src/conf-cc
package/compile
package/check
-mkdir -p $PKG/usr/bin
-cp command/* $PKG/usr/bin
+install -d $PKG/usr/bin
+install -m 755 command/* $PKG/usr/bin
+install -D -m0750 etc/2 $PKG/sbin/runsvdir-start
-mkdir $PKG/sbin
-install -m0750 etc/2 $PKG/sbin/runsvdir-start
+install -d $PKG/usr/man/man8
+install -m 644 man/* $PKG/usr/man/man8
-mkdir -p $PKG/usr/man/man8
-cp man/*.8 $PKG/usr/man/man8
-
-# Strip binaries and libraries - this can be done with 'make install-strip'
-# in many source trees, and that's usually acceptable if so, but if not,
-# use this:
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs str ip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs str ip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
-# Compress man pages
-# If the man pages are installed to /usr/share/man instead, you'll need to either
-# add the --mandir=/usr/man flag to configure or move them manually after the
-# make install process is run.
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-# Copy program documentation into the package
-# The included documentation varies from one application to another, so be sure
-# to adjust your script as needed
-# Also, include the SlackBuild script in the documentation directory
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a package/CHANGES package/README package/TODO package/COPYING package/THANKS \
doc/ etc/ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Make the package; be sure to leave it in $OUTPUT
-# If package symlinks need to be created during install *before*
-# your custom contents of doinst.sh runs, then add the -p switch to
-# the makepkg command below -- see makepkg(8) for details
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}